Api referenceCategories
Update category
Rename, recolor, hide, reorder, or move a category between groups.
Authorization
bearerAuth AuthorizationBearer <token>
Cobalt API key (prefix ck_live_). Issue from dashboard → Settings → API keys.
In: header
Path Parameters
categoryId*string
Request Body
application/json
Fields to update
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/categories/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"excludeFromInsights": true,
"groupId": "string",
"hidden": true,
"iconKey": "string",
"id": "string",
"name": "string",
"systemKey": "string"
}{
"code": "string",
"error": "string"
}{
"code": "string",
"error": "string"
}{
"code": "string",
"error": "string"
}{
"error": {
"issues": [
{
"code": "string",
"message": "string",
"path": [
"string"
]
}
],
"name": "string"
},
"success": true
}